<?php

if (isset($_GET['getRtuList']))
{
	$returnVal = CallAPI("GET",$_GET['getUrl']);
	echo $returnVal;
	return 0;
}

//Example: curl -X POST -H "Content-Type: application/json" -d 
//         ‘{"SID": {Station ID}, "MID": {Slave ID}, "Type": “{DO/DOCH/AOCH}", 
//           "Offset": {Value}, "Value": “{Value}"}’ http://{IP}:{Port}/DeviceInfoQuery/SetInfo

//DOCH-->SingleDo
//AOCH-->SingleAo
if (isset($_POST['postSingleIo']))
{
    $dataArr = array("SID"=>(int)$_POST['pSid'],"MID"=>(int)$_POST['pMid'],"Type"=>$_POST['pType'],"Offset"=>(int)$_POST['pOffset'],"Value"=>$_POST['pVal']);
	//var_dump($dataArr);
    $returnVal = CallAPI("POST",$_POST['postUrl'],json_encode($dataArr));
	echo $returnVal;
	return 0;
}

// Method: POST, PUT, GET etc
// Data: array("param" => "value") ==> index.php?param=value

function CallAPI($method, $url, $data = false)
{
    $curl = curl_init();

    switch ($method)
    {
        case "POST":
            curl_setopt($curl, CURLOPT_POST, 1);

            if ($data)
                curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
            break;
        case "PUT":
            curl_setopt($curl, CURLOPT_PUT, 1);
            break;
        default:
            if ($data)
                $url = sprintf("%s?%s", $url, http_build_query($data));
    }

    // Optional Authentication:
    curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
    curl_setopt($curl, CURLOPT_USERPWD, "username:password");

    curl_setopt($curl, CURLOPT_URL, $url);
    curl_setopt($curl, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json',
     ));
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);

    $result = curl_exec($curl);

    curl_close($curl);

    return $result;
}
?>
